<?php

namespace Fisharebest\Localization\Language;

use Fisharebest\Localization\PluralRule\PluralRule1;
use Fisharebest\Localization\Territory\TerritoryZm;

/**
 * Class LanguageBem - Representation of the Bemba (Zambia) language.
 *
 * @author    Greg Roach <greg@subaqua.co.uk>
 * @copyright (c) 2022 Greg Roach
 * @license   GPL-3.0-or-later
 */
class LanguageBem extends AbstractLanguage implements LanguageInterface
{
    public function code()
    {
        return 'bem';
    }

    public function defaultTerritory()
    {
        return new TerritoryZm();
    }

    public function pluralRule()
    {
        return new PluralRule1();
    }
}
