<?php

namespace Fisharebest\Localization\PluralRule;

/**
 * Class PluralRuleCentralAtlasTamazight - Select a plural form for a specified number.
 * nplurals=4; plural=(n>=2 && n<=10 || n>99) ? 1 : 0
 *
 * @author    Greg Roach <greg@subaqua.co.uk>
 * @copyright (c) 2022 Greg Roach
 * @license   GPL-3.0-or-later
 */
class PluralRuleCentralAtlasTamazight implements PluralRuleInterface
{
    public function plurals()
    {
        return 2;
    }

    public function plural($number)
    {
        $number = abs($number);

        if ($number >= 2 && $number <= 10 || $number > 99) {
            return 1;
        }

        return 0;
    }
}
